org.eclipse.emf.spi.cdo

## Interface CDOPermissionUpdater

-     public interface CDOPermissionUpdater

  A `pluggable` strategy for updating the permissions of a set of `revisions`.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOPermissionUpdater` | `SERVER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<CDORevision,CDOPermission>` | `updatePermissions(InternalCDOSession session, java.util.Set<InternalCDORevision> revisions)`

- - ### Field Detail

    - #### SERVER

          static final CDOPermissionUpdater SERVER

  - ### Method Detail

    - #### updatePermissions

          java.util.Map<CDORevision,CDOPermission> updatePermissions(InternalCDOSession session,
                                                                     java.util.Set<InternalCDORevision> revisions)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html